struct Material {
	sampler2D ambient;
	sampler2D diffuse;
	sampler2D specular;
	float shininess;
};

struct Light {
	vec3 position;
	vec3 direction;
	vec3 color;
	vec3 attenuation;
	vec2 cutoff;
	mat4 lightSpaceMatrix;
};
